module graphics (CLK, RESET, V_RGB, H_RGB, V_SYNC, H_SYNC, R, G, B) ;

input CLK;
input RESET;
input V_RGB;
input H_RGB;
input V_SYNC ;
input H_SYNC ;
output R ;
output G ;
output B ;

// add your declarations here
//reg mem0 [307199:0];
//reg mem1 [307199:0];
reg mem0 [3071:0];
reg mem1 [3071:0];
reg OUTPUT;
reg CURMEM;
integer SZ_X;
integer x_count;
integer y_count;

// add your code here
assign R = OUTPUT;
assign G = OUTPUT;
assign B = OUTPUT;

always @(posedge CLK) begin
	if(RESET) begin
		//SZ_X = 640;
		SZ_X = 64;
		//mem0[SZ_X*240 + 320] = 1;
		mem0[SZ_X*24 + 32] = 1;
		x_count <= 0;
		y_count <= 0;
		OUTPUT <= 0;
		CURMEM <=0; //looking at mem1
	end
	if(~V_SYNC && ~ H_SYNC) begin
		CURMEM <= ~CURMEM;
	end
	if(V_RGB && H_RGB) begin
		if(CURMEM) begin
			OUTPUT <= mem1[x_count +SZ_X*y_count];
		end
		else begin
			OUTPUT <= mem0[x_count +SZ_X*y_count];
		end
	end
	if(H_RGB) begin
		//if(x_count == 639) begin
		if(x_count == 63) begin
			x_count <= 0;
			//if(y_count == 479) begin
			if(y_count == 47) begin
				y_count <= 0;
			end
			else begin
				y_count <= y_count+1;
			end
		end
		else begin
			x_count <= x_count + 1;
		end
	end
end

endmodule 
