module bulletctrl (clk, reset, keystroke, player1y, p1updown, player1x, p1leftright, 
					  player2y, p2updown, player2x, p2leftright, 
					  valid, bulletx, bullety) ;
 
input clk;
input reset;
input keystroke ;
input [8:0] player1y;
input [8:0] player2y;
input [1:0] p1updown;
input [1:0] p2updown;
input [9:0] player1x;
input [9:0] player2x;
input [1:0] p1leftright;
input [1:0] p2leftright;

output valid;
output [9:0] bulletx;
output [8:0] bullety;

// add your declarations here
reg [9:0] _bulletx;
assign bulletx = _bulletx;
reg [8:0] _bullety;
assign bullety = _bullety;
reg _valid;
assign valid = _valid;

reg [2:0] speedy;
reg [2:0] speedx;

reg [16:0] count;

always @(posedge clk) begin
	count <= count +1;
end

// add your code here
always@(posedge clk) begin
//	if(reset) begin
//		_valid <= 0;
//		_bulletx <= 100;
//	end
//	else begin
		if(!_valid) begin
 			if(keystroke) begin
 				_valid <= 1;
 				_bullety <=player1y;
 				_bulletx <= player1x + 11;
 				if(p1updown == 0) begin
 					speedy = 1;
 				end
 				else if(p1updown == 1) begin
					speedy = 0;
 				end
 				else if(p1updown == 2) begin
					speedy = 3'b111;
 				end
				if(p1leftright == 0) 
					speedx = 1;
				else if (p1leftright == 1)
					speedx = 1;
				else 
					speedx = 2;
 			end;
 		end
 		else begin
			if(count ==0) begin
				if(bullety <= 18 | bullety >= 462) begin// hits the top or bottom of screen
					speedy = ~speedy+1;
				end
				if(bulletx+8 >= player2x & bulletx+8 <  player2x+8 & 				   
				   bullety < player2y + 31 & bullety > player2y - 7) begin //hits player2
					if(p2updown == 0 & (speedy < 3'b011 | speedy[2])) begin //move down, and speed < 3
						speedy = speedy + 1;
					end 
					else if(p2updown == 2 & (speedy > 3'b101 | speedy[2]==0)) begin //move up, and speed >-4
						speedy = speedy + 3'b111;
					end
					speedx = ~speedx+1;
				end 
				if(bulletx <= player1x+8 & bulletx > player1x &
				   bullety < player1y + 31 & bullety > player1y - 7 ) begin
					if(p1updown == 0 & (speedy < 3'b011 | speedy[2])) begin
						speedy = speedy + 1;
					end 
					else if(p1updown == 2 & (speedy > 3'b101 | speedy[2]==0)) begin
						speedy = speedy + 3'b111;
					end
					speedx = ~speedx+1;
				end 
					_bulletx <= _bulletx + {speedx[2],speedx[2],speedx[2],speedx[2],speedx[2],speedx[2],speedx[2],speedx};
					_bullety <= _bullety + {speedy[2],speedy[2],speedy[2],speedy[2],speedy[2],speedy[2],speedy};
			end 			
			else if(_bulletx >640 | _bulletx < 0) begin
				_valid <=0;
				_bulletx <= 0;
				
			end
		end
//	end
end							


endmodule 
